import request from '/@/utils/request';

/**
 * @summary description
 */
export const getSupervisorGroupList = async (req: any = request) => {
	return req({
		url: '/admin/supervisor/get_supervisor_group_list',
		method: 'POST',
	});
};

/**
 * @summary description
 */
export const deleteSupervisorGroup = async (params, req: any = request) => {
	return req({
		url: '/admin/supervisor/delete_supervisor_group',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary description
 */
export const updateSupervisorGroup = async (params, req: any = request) => {
	return req({
		url: '/admin/supervisor/update_supervisor_group',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary description
 */
export const addSupervisorGroup = async (params, req: any = request) => {
	return req({
		url: '/admin/supervisor/add_supervisor_group',
		method: 'POST',
		data: params,
	});
};
